com.ibm.openpages.api.workflow

## Interface IWFFieldSetter

-     public interface IWFFieldSetter

  Represents object field setter configured on a workflow action.

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFObjectFieldEval` | `getField()` Gets target field to set.
    `IWFEvalUnit` | `getValue()` Returns the value to assign to the target field as an evaluation unit.
    `boolean` | `isAppend()` Returns whether this action appends the string value on the target field, or replaces it.
    `void` | `setAppend(boolean append)` Sets whether this action appends the string value on the target field, or replaces it.
    `void` | `setField(IWFObjectFieldEval field)` Sets target field identifier.
    `void` | `setValue(IWFEvalUnit value)` Assigns the field value evaluation unit.

- - ### Method Detail

    - #### getField

          IWFObjectFieldEval getField()

      Gets target field to set. Starting in 8.1, the WFObjectReferenceType value is ignored. To update field values on related objects, use `IWFAction#getFieldSetterTargetObjects()`
      Returns:

    - #### setField

          void setField(IWFObjectFieldEval field)

      Sets target field identifier. Starting in 8.1, the WFObjectReferenceType value is ignored. To update field values on related objects, use `IWFAction#setFieldSetterTargetObjects()`
      Parameters:
        `field` -

    - #### getValue

          IWFEvalUnit getValue()

      Returns the value to assign to the target field as an evaluation unit. String object can be used for process instance attribute substitution, such as "[$approver$]".
      Returns:

    - #### setValue

          void setValue(IWFEvalUnit value)

      Assigns the field value evaluation unit.
      Parameters:
        `value` -

    - #### isAppend

          boolean isAppend()

      Returns whether this action appends the string value on the target field, or replaces it. This flag is only applicable to the string field.
      Returns:

    - #### setAppend

          void setAppend(boolean append)

      Sets whether this action appends the string value on the target field, or replaces it.
      Parameters:
        `append` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.